Name:           synfig
Version:        0.63.04
Release:        2%{?dist}
Summary:        Vector-based 2D animation rendering backend

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://synfig.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         synfig-0.61.09-optflags.patch
Patch1:         synfig-0.62.01-ltld.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ETL-devel >= 0.04.13
BuildRequires:  libsigc++-devel
BuildRequires:  libxml++-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  freetype-devel
BuildRequires:  libtool
BuildRequires:  OpenEXR-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  libmng-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  libjpeg-devel
BuildRequires:  autoconf automake gettext-devel
# FIXME: Lack of this causes synfig to segfault
Requires:       urw-fonts

%description
Synfig is a powerful, industrial-strength vector-based 2D animation
software, designed from the ground-up for producing feature-film quality
animation with fewer people and resources.  It is designed to be capable of
producing feature-film quality animation. It eliminates the need for
tweening, preventing the need to hand-draw each frame. Synfig features
spatial and temporal resolution independence (sharp and smoothat any
resolution or framerate), high dynamic range images, and a flexible plugin
system.

This package contains the command-line-based rendering backend.
Install synfigstudio package for GUI-based animation studio.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries

Requires:       OpenEXR-devel
Requires:       ETL-devel
Requires:       libxml2-devel
Requires:       libxml++-devel
Requires:       libsigc++20-devel
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .ltdl
rm -rf libltdl


%build
aclocal -I m4
automake
autoconf -i --force
%configure --disable-static --with-imagemagick --with-magickpp \
        --without-libavcodec
%if 0%{?fedora} >= 10
        CPPFLAGS='-DMagickLib=MagickCore -I/usr/include/ImageMagick'
%endif

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}

touch -r README $RPM_BUILD_ROOT%{_bindir}/synfig-config


%post -p /sbin/ldconfig
%postun -p/sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/synfig_modules.cfg
%{_bindir}/synfig
%{_libdir}/libsynfig.so.*
%{_libdir}/synfig
%doc README COPYING AUTHORS NEWS


%files devel
%defattr(-,root,root,-)
%{_bindir}/synfig-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/synfig.pc
%{_includedir}/synfig-0.0
%doc doc COPYING TODO


%changelog
* Wed Feb 15 2012 Lubomir Rintel <lkundrak@v3.sk> - 0.63.04-2
- Remove an upstreamed patch

* Sat Feb 11 2012 Luya Tshimbalanga <luya@fedoraproject.org> 0.63.04-1
- New upstream version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.62.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> 0.62.02-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.62.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.02-1
- Rebase

* Tue Nov 23 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.62.01-2
- Fix build (Gilles J. Seguin)
- Adjust the ltdl patch

* Sat Sep 4 2010 Luya Tshimbalanga <luya@fedoraproject.org> - 0.62.01-1
- New upstream release

* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-3
- Actually apply the optflags patch
- Drop bundled libltdl

* Sun Dec 20 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-2
- Work around a segfault w/o urw-fonts

* Mon Dec 7 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-1.1
- Build with older ETL

* Sat Nov 14 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-1
- New upstream release

* Thu Oct 9 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-4
- Explicitely disable avcodec

* Thu Mar 19 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-3
- Fix use of compiler flags to generate useful debuginfo

* Wed Feb 4 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-2
- RPATH sanity (thanks Nicolas Chauvet)
- Make -devel depend on libxml++-devel (thanks Lorenzo Villani)

* Fri Jan 9 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-1
- New upstream version
- Change ETL dependency to ETL-devel
- Adjust description & summary
- Add missing documentation files

* Fri Mar 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.61.08-5
- Fixed build requires
- Put files in the right packages
- Made it look nicer

* Fri Mar 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.61.08-4
- removed ImageMagick-devel since it gets brought it anyways

* Thu Mar 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.61.08-3
- Advised by upstream to leave openexr off due to slowness.

* Thu Mar 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.61.08-2
- switch the so's around

* Thu Mar 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.61.08-1
- new release

* Sun Jan 13 2008 Marc Wiriadisasra <marc@mwiriadi.id.au> - 0.61.07-1
- Initial Spec file
